summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author slakmagik2010-05-11 20:00:22 +0200
committer Robby Workman2010-05-11 20:00:22 +0200
commit3ba339ededfdf0ccf377d51ff04213194c416b9d (patch)
tree484904a3170f3b177097799a607e3e38aa5bc6be /development
parentb0a3636735214ab4e37c1d5531b604194f4d9c98 (diff)
downloadslackbuilds-3ba339ededfdf0ccf377d51ff04213194c416b9d.tar.gz
development/cm_tools: Added to 12.0 repository
Diffstat (limited to 'development')
-rw-r--r--development/cm_tools/README15
-rw-r--r--development/cm_tools/cm_tools.SlackBuild60
-rw-r--r--development/cm_tools/cm_tools.info8
-rw-r--r--development/cm_tools/slack-desc19
4 files changed, 102 insertions, 0 deletions
diff --git a/development/cm_tools/README b/development/cm_tools/README
new file mode 100644
index 0000000000..1f5584d056
--- /dev/null
+++ b/development/cm_tools/README
@@ -0,0 +1,15 @@
+cm_tools are a set of utilities serving as wrappers around the RCS
+system. Particularly, they set the checkin timestamps to the
+modification date rather than the commit date, along with a few other
+differences. They and the directory editor, ded, are designed to work
+together.
+
+td_lib (available from SlackBuilds.org) is required to build this. Note
+that you do not need to actually 'installpkg' td_lib if you do not want
+to. It only needs to be built and when cm_tools is built alongside it,
+cm_tools will find it. You can then remove the td_lib directories and
+package if you don't want them.
+
+The SlackBuild differs from a default installation in not setting the
+set-uid bit on the 'vcs', 'checkin', and 'checkout' binaries. If you
+need this, modify the SlackBuild to suit.
diff --git a/development/cm_tools/cm_tools.SlackBuild b/development/cm_tools/cm_tools.SlackBuild
new file mode 100644
index 0000000000..987c8bf4ff
--- /dev/null
+++ b/development/cm_tools/cm_tools.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for cm_tools
+# Written by slakmagik <jsun@freeshell.org>
+# Released under the WTFPL
+
+PRGNAM=cm_tools
+VERSION=20061023
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Pass "SUID=yes" to this script if you want three of the binaries setUID
+SUID=${SUID:-no}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" ./configure --prefix=/usr
+make
+make prefix=$PKG/usr install
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [CR]* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/man/ -type f -exec gzip -9 {} \;
+
+# don't really need set-UID-root binaries here
+if [ ! "$SUID" = "yes" ]; then
+ chmod 0755 $PKG/usr/bin/*
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/cm_tools/cm_tools.info b/development/cm_tools/cm_tools.info
new file mode 100644
index 0000000000..cfa8229ede
--- /dev/null
+++ b/development/cm_tools/cm_tools.info
@@ -0,0 +1,8 @@
+PRGNAM="cm_tools"
+VERSION="20061023"
+HOMEPAGE="http://invisible-island.net/ded/ded.html"
+DOWNLOAD="ftp://invisible-island.net/ded/cm_tools-20061023.tgz"
+MD5SUM="786a75e14a6dafb6e58281206b3da5b7"
+MAINTAINER="slakmagik"
+EMAIL="jsun@freeshell.org"
+APPROVED="rworkman"
diff --git a/development/cm_tools/slack-desc b/development/cm_tools/slack-desc
new file mode 100644
index 0000000000..ad21446a28
--- /dev/null
+++ b/development/cm_tools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cm_tools: cm_tools (content management tools)
+cm_tools:
+cm_tools: cm_tools are a set of utilities serving as wrappers around the
+cm_tools: RCS system. Particularly, they set the checkin timestamps to the
+cm_tools: modification date rather than the commit date, along with a few
+cm_tools: other differences. They and the directory editor, ded, are designed
+cm_tools: to work together.
+cm_tools:
+cm_tools: Homepage: http://invisible-island.net/ded/ded.html
+cm_tools:
+cm_tools: